leds-apu2: add compatibility for linux 4.9
authorFelix Fietkau <nbd@nbd.name>
Fri, 27 Jan 2017 10:55:22 +0000 (11:55 +0100)
committerFelix Fietkau <nbd@nbd.name>
Wed, 1 Feb 2017 16:49:52 +0000 (17:49 +0100)
Signed-off-by: Felix Fietkau <nbd@nbd.name>
package/kernel/leds-apu2/src/leds-apu2.c

index 00f80a3..0a60df1 100644 (file)
@@ -194,7 +194,11 @@ static int gpio_apu2_probe (struct platform_device *dev)
                }
        }
 
+#if LINUX_VERSION_CODE < KERNEL_VERSION(4,5,0)
        gpio_apu2_chip.dev = &dev->dev;
+#else
+       gpio_apu2_chip.parent = &dev->dev;
+#endif
        ret = gpiochip_add (&gpio_apu2_chip);
        if (ret) {
                pr_err ("%s: adding gpiochip failed\n", DEVNAME);